Get post
curl --request GET \
--url https://api.woopsocial.com/v1/posts/{postId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.woopsocial.com/v1/posts/{postId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.woopsocial.com/v1/posts/{postId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.woopsocial.com/v1/posts/{postId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.woopsocial.com/v1/posts/{postId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.woopsocial.com/v1/posts/{postId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.woopsocial.com/v1/posts/{postId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"projectId": "<string>",
"content": [
{
"text": "<string>",
"media": [
{
"type": "MEDIA_LIBRARY",
"mediaId": "<string>",
"mediaType": "IMAGE",
"url": "<string>",
"thumbnailUrl": "<string>",
"altText": "<string>"
}
]
}
],
"schedule": {
"type": "DRAFT"
},
"autoDeleteMediaAfterPublish": true,
"socialAccountPosts": [
{
"platform": "PINTEREST",
"socialAccountPostId": "<string>",
"postId": "<string>",
"projectId": "<string>",
"socialAccountId": "<string>",
"deliveryStatus": "NOT_STARTED",
"content": [
{
"text": "<string>",
"media": [
{
"type": "MEDIA_LIBRARY",
"mediaId": "<string>",
"mediaType": "IMAGE",
"url": "<string>",
"thumbnailUrl": "<string>",
"altText": "<string>"
}
]
}
],
"schedule": {
"type": "DRAFT"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"metrics": {
"views": 123,
"impressions": 123,
"uniqueImpressions": 123,
"likes": 123,
"reactions": 123,
"comments": 123,
"shares": 123,
"saves": 123,
"clicks": 123,
"engagementRate": 123
},
"analytics": {
"views": [
{
"date": "2023-12-25",
"collectedAt": "2023-11-07T05:31:56Z",
"value": 123
}
],
"impressions": [
{
"date": "2023-12-25",
"collectedAt": "2023-11-07T05:31:56Z",
"value": 123
}
],
"uniqueImpressions": [
{
"date": "2023-12-25",
"collectedAt": "2023-11-07T05:31:56Z",
"value": 123
}
],
"likes": [
{
"date": "2023-12-25",
"collectedAt": "2023-11-07T05:31:56Z",
"value": 123
}
],
"reactions": [
{
"date": "2023-12-25",
"collectedAt": "2023-11-07T05:31:56Z",
"value": 123
}
],
"comments": [
{
"date": "2023-12-25",
"collectedAt": "2023-11-07T05:31:56Z",
"value": 123
}
],
"shares": [
{
"date": "2023-12-25",
"collectedAt": "2023-11-07T05:31:56Z",
"value": 123
}
],
"saves": [
{
"date": "2023-12-25",
"collectedAt": "2023-11-07T05:31:56Z",
"value": 123
}
],
"clicks": [
{
"date": "2023-12-25",
"collectedAt": "2023-11-07T05:31:56Z",
"value": 123
}
],
"engagementRate": [
{
"date": "2023-12-25",
"collectedAt": "2023-11-07T05:31:56Z",
"value": 123
}
]
},
"pinterestBoardId": "<string>",
"deliveryCompletedAt": "2023-11-07T05:31:56Z",
"externalPostId": "<string>",
"externalPostUrl": "<string>",
"errorMessage": "<string>",
"metricsCollectedAt": "2023-11-07T05:31:56Z",
"title": "<string>",
"link": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"retryPolicy": {
"maxRetries": 3,
"delaySeconds": 43230
}
}{
"code": "POST_NOT_FOUND",
"message": "<string>"
}{
"code": "TOO_MANY_CONCURRENT_REQUESTS",
"message": "<string>"
}{
"code": "POST_NOT_FOUND",
"message": "<string>"
}Posts
Get post
Returns one post with its social account posts inline: one per
target social account, each with its own deliveryStatus.
Use it after creating a post to see whether each target was published.
GET
/
posts
/
{postId}
Get post
curl --request GET \
--url https://api.woopsocial.com/v1/posts/{postId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.woopsocial.com/v1/posts/{postId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.woopsocial.com/v1/posts/{postId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.woopsocial.com/v1/posts/{postId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.woopsocial.com/v1/posts/{postId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.woopsocial.com/v1/posts/{postId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.woopsocial.com/v1/posts/{postId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"projectId": "<string>",
"content": [
{
"text": "<string>",
"media": [
{
"type": "MEDIA_LIBRARY",
"mediaId": "<string>",
"mediaType": "IMAGE",
"url": "<string>",
"thumbnailUrl": "<string>",
"altText": "<string>"
}
]
}
],
"schedule": {
"type": "DRAFT"
},
"autoDeleteMediaAfterPublish": true,
"socialAccountPosts": [
{
"platform": "PINTEREST",
"socialAccountPostId": "<string>",
"postId": "<string>",
"projectId": "<string>",
"socialAccountId": "<string>",
"deliveryStatus": "NOT_STARTED",
"content": [
{
"text": "<string>",
"media": [
{
"type": "MEDIA_LIBRARY",
"mediaId": "<string>",
"mediaType": "IMAGE",
"url": "<string>",
"thumbnailUrl": "<string>",
"altText": "<string>"
}
]
}
],
"schedule": {
"type": "DRAFT"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"metrics": {
"views": 123,
"impressions": 123,
"uniqueImpressions": 123,
"likes": 123,
"reactions": 123,
"comments": 123,
"shares": 123,
"saves": 123,
"clicks": 123,
"engagementRate": 123
},
"analytics": {
"views": [
{
"date": "2023-12-25",
"collectedAt": "2023-11-07T05:31:56Z",
"value": 123
}
],
"impressions": [
{
"date": "2023-12-25",
"collectedAt": "2023-11-07T05:31:56Z",
"value": 123
}
],
"uniqueImpressions": [
{
"date": "2023-12-25",
"collectedAt": "2023-11-07T05:31:56Z",
"value": 123
}
],
"likes": [
{
"date": "2023-12-25",
"collectedAt": "2023-11-07T05:31:56Z",
"value": 123
}
],
"reactions": [
{
"date": "2023-12-25",
"collectedAt": "2023-11-07T05:31:56Z",
"value": 123
}
],
"comments": [
{
"date": "2023-12-25",
"collectedAt": "2023-11-07T05:31:56Z",
"value": 123
}
],
"shares": [
{
"date": "2023-12-25",
"collectedAt": "2023-11-07T05:31:56Z",
"value": 123
}
],
"saves": [
{
"date": "2023-12-25",
"collectedAt": "2023-11-07T05:31:56Z",
"value": 123
}
],
"clicks": [
{
"date": "2023-12-25",
"collectedAt": "2023-11-07T05:31:56Z",
"value": 123
}
],
"engagementRate": [
{
"date": "2023-12-25",
"collectedAt": "2023-11-07T05:31:56Z",
"value": 123
}
]
},
"pinterestBoardId": "<string>",
"deliveryCompletedAt": "2023-11-07T05:31:56Z",
"externalPostId": "<string>",
"externalPostUrl": "<string>",
"errorMessage": "<string>",
"metricsCollectedAt": "2023-11-07T05:31:56Z",
"title": "<string>",
"link": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"retryPolicy": {
"maxRetries": 3,
"delaySeconds": 43230
}
}{
"code": "POST_NOT_FOUND",
"message": "<string>"
}{
"code": "TOO_MANY_CONCURRENT_REQUESTS",
"message": "<string>"
}{
"code": "POST_NOT_FOUND",
"message": "<string>"
}Authorizations
Path Parameters
Response
Post found.
socialAccountPosts
(Pinterest · object | Instagram · object | Facebook · object | Threads · object | Bluesky · object | TikTok · object | YouTube · object | X · object | LinkedIn · object | LinkedIn Pages · object | WoopTest · object)[]
required
Platform-specific post instances.
Minimum array length:
1- Pinterest
- Instagram
- Facebook
- Threads
- Bluesky
- TikTok
- YouTube
- X
- LinkedIn
- LinkedIn Pages
- WoopTest
Show child attributes
Show child attributes
Automatically creates a scheduled retry post for each failed target. Successful targets are never copied. Known failures requiring user intervention, such as insufficient credits or disconnected accounts, are not automatically retried. If the platform published a post but its response was lost, retrying may produce a duplicate.
Show child attributes
Show child attributes
Was this page helpful?